Subject: Re: gitweb: cloud tags feature produces malformed XML for errors

From: Jakub Narebski <[email-masked]>
Date: Thu, 3 Mar 2011 01:42:15 +0100

On Wed, 2 Mar 2011, Uwe Kleine-König wrote:
> On Wed, Mar 02, 2011 at 10:18:44PM +0100, Jakub Narebski wrote:

> > What is most important that makes this feature to be considered for
> > removal (or rehauling) is that only half of this feature is implemented
> > in gitweb: the displaying part.  There is half-attempt of providing
> > some web interface for managing tags... which needs external script with
> > strict coupling, doesn't offer any access control as far as I know, do
> > not allow deleting tags, etc.
>
> For a small set of repositories the need to hand-edit the tags is OK
> IMHO.  That's what I intended to do.

So what would you like to see?

1. Hardening parsing of ctags files, so that gitweb does not crash on
   malformed entries, but e.g. just ignores them.

2. Generating tag cloud upfront, before sending any output to browser,
   to catch error better (and perhaps separate CSS for HTML::TagCloud).

3. Describe format of ctags files, either in comments in code, or in
   gitweb/README.

4. Either:

   A. Remove editing ctags from gitweb, or
   B. Add some simple generation of ctags file to gitweb

or should we remove ctags feature altogether?
-- 
Jakub Narebski
Poland